" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *child-env* *doc-url*
syn keyword tl_keyword contained *filters* *full-args* *gensym-counter* *hash-seed*
syn keyword tl_keyword contained *lib-version* *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-pprint-p* *listener-sel-inclusive-p* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *random-state* *random-warmup* *read-bad-json* *read-unknown-structs*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *struct-clause-expander*
syn keyword tl_keyword contained *trace-output* *tree-fun-whitelist* *txr-version* *unhandled-hook*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :abandoned :abs :addr
syn keyword tl_keyword contained :all :android :apf :append
syn keyword tl_keyword contained :args :atime :auto :awk-again
syn keyword tl_keyword contained :awk-file :awk-rec :begin :begin-file
syn keyword tl_keyword contained :blksize :blocks :bool :byte-oriented
syn keyword tl_keyword contained :cdigit :chars :cint :close
syn keyword tl_keyword contained :continue :counter :cspace :ctime
syn keyword tl_keyword contained :cword-char :cygnal :cygwin :dec
syn keyword tl_keyword contained :decline :delegate :dev :digit
syn keyword tl_keyword contained :downcase :end :end-file :env
syn keyword tl_keyword contained :eq-based :eql-based :equal-based :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :init :ino
syn keyword tl_keyword contained :inp :inputs :instance :into
syn keyword tl_keyword contained :key :let :lfilt :lines
syn keyword tl_keyword contained :linux :list :lists :local
syn keyword tl_keyword contained :longest :macos :mandatory :mass-delegate
syn keyword tl_keyword contained :match :maxgap :maxtimes :method
syn keyword tl_keyword contained :mid :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :nothrow :oct :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postinit :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :set :set-file :shortest
syn keyword tl_keyword contained :size :solaris :solaris10 :space
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :symlinks :text :times :tlist
syn keyword tl_keyword contained :to_html :tobase64 :tobase64url :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :unknown
syn keyword tl_keyword contained :upcase :use :use-from :use-syms
syn keyword tl_keyword contained :userdata :var :vars :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret array arraysize ash
syn keyword tl_keyword contained asin asinh assert assoc
syn keyword tl_keyword contained assq assql at-exit-call at-exit-do-not-call
syn keyword tl_keyword contained atan atan2 atanh atom
syn keyword tl_keyword contained awk base-name base64-decode base64-decode-buf
syn keyword tl_keyword contained base64-encode base64-stream-dec base64-stream-enc base64url-decode
syn keyword tl_keyword contained base64url-decode-buf base64url-encode base64url-stream-dec base64url-stream-enc
syn keyword tl_keyword contained bchar be-double be-float be-int16
syn keyword tl_keyword contained be-int32 be-int64 be-uint16 be-uint32
syn keyword tl_keyword contained be-uint64 bignum-len bignump bindable
syn keyword tl_keyword contained bit bitset blkcnt-t blksize-t
syn keyword tl_keyword contained block block* bool boundp
syn keyword tl_keyword contained bracket break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly bstr bstr-d
syn keyword tl_keyword contained bstr-s buf buf-alloc-size buf-carray
syn keyword tl_keyword contained buf-compress buf-d buf-decompress buf-get-char
syn keyword tl_keyword contained buf-get-cptr buf-get-double buf-get-float buf-get-i16
syn keyword tl_keyword contained buf-get-i32 buf-get-i64 buf-get-i8 buf-get-int
syn keyword tl_keyword contained buf-get-long buf-get-short buf-get-u16 buf-get-u32
syn keyword tl_keyword contained buf-get-u64 buf-get-u8 buf-get-uchar buf-get-uint
syn keyword tl_keyword contained buf-get-ulong buf-get-ushort buf-int buf-list
syn keyword tl_keyword contained buf-put-buf buf-put-char buf-put-cptr buf-put-double
syn keyword tl_keyword contained buf-put-float buf-put-i16 buf-put-i32 buf-put-i64
syn keyword tl_keyword contained buf-put-i8 buf-put-int buf-put-long buf-put-short
syn keyword tl_keyword contained buf-put-u16 buf-put-u32 buf-put-u64 buf-put-u8
syn keyword tl_keyword contained buf-put-uchar buf-put-uint buf-put-ulong buf-put-ushort
syn keyword tl_keyword contained buf-set-length buf-str buf-trim buf-uint
syn keyword tl_keyword contained bufp build build-list buildn
syn keyword tl_keyword contained built-in-type-p butlast butlastn caaaaar
syn keyword tl_keyword contained caaaadr caaaar caaadar caaaddr
syn keyword tl_keyword contained caaadr caaar caadaar caadadr
syn keyword tl_keyword contained caadar caaddar caadddr caaddr
syn keyword tl_keyword contained caadr caar cadaaar cadaadr
syn keyword tl_keyword contained cadaar cadadar cadaddr cadadr
syn keyword tl_keyword contained cadar caddaar caddadr caddar
syn keyword tl_keyword contained cadddar caddddr cadddr caddr
syn keyword tl_keyword contained cadr call call-clobber-expander call-delete-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray carray-blank
syn keyword tl_keyword contained carray-buf carray-buf-sync carray-cptr carray-dup
syn keyword tl_keyword contained carray-free carray-get carray-getz carray-int
syn keyword tl_keyword contained carray-list carray-own carray-pun carray-put
syn keyword tl_keyword contained carray-putz carray-ref carray-refset carray-replace
syn keyword tl_keyword contained carray-set-length carray-sub carray-type carray-uint
syn keyword tl_keyword contained carray-vec carrayp caseq caseq*
syn keyword tl_keyword contained caseql caseql* casequal casequal*
syn keyword tl_keyword contained cat-files cat-str cat-streams cat-vec
syn keyword tl_keyword contained catch catch* catch** catenated-stream-p
syn keyword tl_keyword contained catenated-stream-push cbaud cbaudex cdaaaar
syn keyword tl_keyword contained cdaaadr cdaaar cdaadar cdaaddr
syn keyword tl_keyword contained cdaadr cdaar cdadaar cdadadr
syn keyword tl_keyword contained cdadar cdaddar cdadddr cdaddr
syn keyword tl_keyword contained cdadr cdar cddaaar cddaadr
syn keyword tl_keyword contained cddaar cddadar cddaddr cddadr
syn keyword tl_keyword contained cddar cdddaar cdddadr cdddar
syn keyword tl_keyword contained cddddar cdddddr cddddr cdddr
syn keyword tl_keyword contained cddr cdr ceil ceil-rem
syn keyword tl_keyword contained chain chand char chdir
syn keyword tl_keyword contained chmod chmod-rec chown chown-rec
syn keyword tl_keyword contained chr-digit chr-int chr-isalnum chr-isalpha
syn keyword tl_keyword contained chr-isascii chr-isblank chr-iscntrl chr-isdigit
syn keyword tl_keyword contained chr-isgraph chr-islower chr-isprint chr-ispunct
syn keyword tl_keyword contained chr-isspace chr-isunisp chr-isupper chr-isxdigit
syn keyword tl_keyword contained chr-num chr-str chr-str-set chr-tolower
syn keyword tl_keyword contained chr-toupper chr-xdigit chrp clamp
syn keyword tl_keyword contained clear-dirty clear-error clear-mask clear-struct
syn keyword tl_keyword contained clearhash clocal clock-t clockid-t
syn keyword tl_keyword contained close close-stream closedir closelog
syn keyword tl_keyword contained closure cmp-str cmspar coded-length
syn keyword tl_keyword contained collect-each collect-each* collect-each-prod collect-each-prod*
syn keyword tl_keyword contained comb command-get command-get-buf command-get-json
syn keyword tl_keyword contained command-get-jsons command-get-lines command-get-string command-put
syn keyword tl_keyword contained command-put-buf command-put-json command-put-jsons command-put-lines
syn keyword tl_keyword contained command-put-string compare-swap compile compile-defr-warning
syn keyword tl_keyword contained compile-error compile-file compile-only compile-toplevel
syn keyword tl_keyword contained compile-update-file compile-warning compl-span-str cond
syn keyword tl_keyword contained conda condlet cons conses
syn keyword tl_keyword contained conses* consp constantp contain[s]
syn keyword tl_keyword contained copy copy-alist copy-buf copy-carray
syn keyword tl_keyword contained copy-cons copy-cptr copy-file copy-files
syn keyword tl_keyword contained copy-fun copy-hash copy-list copy-path-rec
syn keyword tl_keyword contained copy-search-tree copy-str copy-struct copy-tnode
syn keyword tl_keyword contained copy-tree copy-tree-iter copy-vec cos
syn keyword tl_keyword contained cosh count-if count-until-match countq
syn keyword tl_keyword contained countql countqual cptr cptr-buf
syn keyword tl_keyword contained cptr-carray cptr-cast cptr-free cptr-get
syn keyword tl_keyword contained cptr-int cptr-null cptr-obj cptr-out
syn keyword tl_keyword contained cptr-size-hint cptr-type cptr-zap cptrp
syn keyword tl_keyword contained cr0 cr1 cr2 cr3
syn keyword tl_keyword contained crc32 crc32-stream crdly cread
syn keyword tl_keyword contained crtscts crypt cs5 cs6
syn keyword tl_keyword contained cs7 cs8 csize cstopb
syn keyword tl_keyword contained cum-norm-dist cxr cyr daemon
syn keyword tl_keyword contained dec defer-warning defex deffi
syn keyword tl_keyword contained deffi-cb deffi-cb-unsafe deffi-struct deffi-sym
syn keyword tl_keyword contained deffi-type deffi-union deffi-var define-accessor
syn keyword tl_keyword contained define-modify-macro define-option-struct define-param-expander define-place-macro
syn keyword tl_keyword contained define-struct-clause defmacro defmatch defmeth
syn keyword tl_keyword contained defpackage defparm defparml defplace
syn keyword tl_keyword contained defset defstruct defsymacro defun
syn keyword tl_keyword contained defun-match defvar defvarl del
syn keyword tl_keyword contained delay delcons delete-package dev-t
syn keyword tl_keyword contained diff digits digpow dir-name
syn keyword tl_keyword contained dirstat disassemble display-width divides
syn keyword tl_keyword contained dlclose dlopen dlsym dlsym-checked
syn keyword tl_keyword contained dlvsym dlvsym-checked do doc
syn keyword tl_keyword contained dohash doloop doloop* dotimes
syn keyword tl_keyword contained double downcase-str drop drop-until
syn keyword tl_keyword contained drop-while dt-blk dt-chr dt-dir
syn keyword tl_keyword contained dt-fifo dt-lnk dt-reg dt-sock
syn keyword tl_keyword contained dt-unknown dump-compiled-objects dump-deferred-warnings dup
syn keyword tl_keyword contained dupfd dwim e2big eacces
syn keyword tl_keyword contained each each* each-false each-match
syn keyword tl_keyword contained each-match-product each-prod each-prod* each-true
syn keyword tl_keyword contained eaddrinuse eaddrnotavail eafnosupport eagain
syn keyword tl_keyword contained ealready ebadf ebadmsg ebusy
syn keyword tl_keyword contained ecanceled ecaseq ecaseq* ecaseql
syn keyword tl_keyword contained ecaseql* ecasequal ecasequal* echild
syn keyword tl_keyword contained echo echoctl echoe echok
syn keyword tl_keyword contained echoke echonl echoprt econnaborted
syn keyword tl_keyword contained econnrefused econnreset edeadlk edestaddrreq
syn keyword tl_keyword contained edom edquot eexist efault
syn keyword tl_keyword contained efbig ehostunreach eidrm eighth
syn keyword tl_keyword contained eilseq einprogress eintr einval
syn keyword tl_keyword contained eio eisconn eisdir elemsize
syn keyword tl_keyword contained elemtype eloop emfile emlink
syn keyword tl_keyword contained empty emsgsize emultihop enametoolong
syn keyword tl_keyword contained endgrent endp endpwent ends-with
syn keyword tl_keyword contained enetdown enetreset enetunreach enfile
syn keyword tl_keyword contained enobufs enodata enodev enoent
syn keyword tl_keyword contained enoexec enolck enolink enomem
syn keyword tl_keyword contained enomsg enoprotoopt enospc enosr
syn keyword tl_keyword contained enostr enosys enotconn enotdir
syn keyword tl_keyword contained enotempty enotrecoverable enotsock enotsup
syn keyword tl_keyword contained enotty ensure-dir enum enumed
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erofs errno error
syn keyword tl_keyword contained espipe esrch estale etime
syn keyword tl_keyword contained etimedout etxtbsy etypecase eval
syn keyword tl_keyword contained eval-only evenp ewouldblock exception-subtype-map
syn keyword tl_keyword contained exception-subtype-p exdev exec exit
syn keyword tl_keyword contained exit* exp expand expand*
syn keyword tl_keyword contained expand-left expand-right expand-with-free-refs expt
syn keyword tl_keyword contained exptmod extproc f$ f-dupfd
syn keyword tl_keyword contained f-dupfd-cloexec f-getfd f-getfl f-getlk
syn keyword tl_keyword contained f-rdlck f-setfd f-setfl f-setlk
syn keyword tl_keyword contained f-setlkw f-unlck f-wrlck f^
syn keyword tl_keyword contained f^$ false fboundp fcntl
syn keyword tl_keyword contained fd-cloexec ff0 ff1 ffdly
syn keyword tl_keyword contained ffi ffi-alignof ffi-arraysize ffi-call
syn keyword tl_keyword contained ffi-elemsize ffi-elemtype ffi-get ffi-in
syn keyword tl_keyword contained ffi-make-call-desc ffi-make-closure ffi-offsetof ffi-out
syn keyword tl_keyword contained ffi-put ffi-put-into ffi-size ffi-type-compile
syn keyword tl_keyword contained ffi-type-operator-p ffi-type-p ffi-typedef fifth
syn keyword tl_keyword contained file-append file-append-buf file-append-json file-append-jsons
syn keyword tl_keyword contained file-append-lines file-append-string file-get file-get-buf
syn keyword tl_keyword contained file-get-json file-get-jsons file-get-lines file-get-string
syn keyword tl_keyword contained file-place-buf file-put file-put-buf file-put-json
syn keyword tl_keyword contained file-put-jsons file-put-lines file-put-string fileno
syn keyword tl_keyword contained fill-buf fill-buf-adjust fill-carray fill-obj
syn keyword tl_keyword contained fill-vec filter-equal filter-string-tree finalize
syn keyword tl_keyword contained find find-frame find-frames find-frames-by-mask
syn keyword tl_keyword contained find-if find-max find-max-key find-min
syn keyword tl_keyword contained find-min-key find-package find-struct-type find-symbol
syn keyword tl_keyword contained find-symbol-fb find-true first fixnum-max
syn keyword tl_keyword contained fixnum-min fixnump flatcar flatcar*
syn keyword tl_keyword contained flatten flatten* flet flip
syn keyword tl_keyword contained flipargs flo-dig flo-down flo-epsilon
syn keyword tl_keyword contained flo-get-round-mode flo-int flo-max flo-max-dig
syn keyword tl_keyword contained flo-min flo-near flo-set-round-mode flo-str
syn keyword tl_keyword contained flo-up flo-zero float floatp
syn keyword tl_keyword contained floor floor-rem flow flush-stream
syn keyword tl_keyword contained flusho fmakunbound fmt fnm-casefold
syn keyword tl_keyword contained fnm-extmatch fnm-leading-dir fnm-noescape fnm-pathname
syn keyword tl_keyword contained fnm-period fnmatch for for*
syn keyword tl_keyword contained force force-break fork format
syn keyword tl_keyword contained fourth fr$ fr^ fr^$
syn keyword tl_keyword contained from frr fsblkcnt-t fsfilcnt-t
syn keyword tl_keyword contained fstat ftw ftw-actionretval ftw-chdir
syn keyword tl_keyword contained ftw-continue ftw-d ftw-depth ftw-dnr
syn keyword tl_keyword contained ftw-dp ftw-f ftw-mount ftw-ns
syn keyword tl_keyword contained ftw-phys ftw-skip-siblings ftw-skip-subtree ftw-sl
syn keyword tl_keyword contained ftw-sln ftw-stop fun fun-fixparam-count
syn keyword tl_keyword contained fun-optparam-count fun-variadic func-get-env func-get-form
syn keyword tl_keyword contained func-get-name func-set-env functionp gcd
syn keyword tl_keyword contained gen gen-hash-seed generate gensym
syn keyword tl_keyword contained gequal get-buf-from-stream get-byte get-char
syn keyword tl_keyword contained get-clobber-expander get-delete-expander get-error get-error-str
syn keyword tl_keyword contained get-frames get-hash-userdata get-indent get-indent-mode
syn keyword tl_keyword contained get-json get-jsons get-line get-line-as-buf
syn keyword tl_keyword contained get-lines get-list-from-stream get-obj get-sig-handler
syn keyword tl_keyword contained get-stack-limit get-string get-string-from-stream get-update-expander
syn keyword tl_keyword contained getaddrinfo getegid getenv geteuid
syn keyword tl_keyword contained getgid getgrent getgrgid getgrnam
syn keyword tl_keyword contained getgroups gethash getitimer getopts
syn keyword tl_keyword contained getpid getppid getpwent getpwnam
syn keyword tl_keyword contained getpwuid getresgid getresuid getrlimit
syn keyword tl_keyword contained getuid gid-t ginterate giterate
syn keyword tl_keyword contained glob glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check go grade greater
syn keyword tl_keyword contained group-by group-map group-reduce gun
syn keyword tl_keyword contained handle handle* handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-alist
syn keyword tl_keyword contained hash-from-pairs hash-invert hash-isec hash-keys
syn keyword tl_keyword contained hash-keys-of hash-list hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-reset hash-revget
syn keyword tl_keyword contained hash-subset hash-symdiff hash-uni hash-update
syn keyword tl_keyword contained hash-update-1 hash-userdata hash-values hash-zip
syn keyword tl_keyword contained hashp have hlet hlet*
syn keyword tl_keyword contained html-decode html-encode html-encode* hupcl
syn keyword tl_keyword contained iapply icanon icrnl id-t
syn keyword tl_keyword contained identity identity* ido iexten
syn keyword tl_keyword contained if if-match ifa iff
syn keyword tl_keyword contained iffi iflet ignbrk igncr
syn keyword tl_keyword contained ignerr ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent indent-code indent-data indent-foff
syn keyword tl_keyword contained indent-off inhash inlcr ino-t
syn keyword tl_keyword contained inpck int int-buf int-carray
syn keyword tl_keyword contained int-chr int-cptr int-flo int-ptr-t
syn keyword tl_keyword contained int-str int16 int32 int64
syn keyword tl_keyword contained int8 integerp intern intern-fb
syn keyword tl_keyword contained interp-fun-p interpose intmax-t inv-cum-norm
syn keyword tl_keyword contained invoke-catch ip ipf ipproto-ip
syn keyword tl_keyword contained ipproto-ipv6 ipproto-tcp ipproto-udp ipv6-join-group
syn keyword tl_keyword contained ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop
syn keyword tl_keyword contained ipv6-unicast-hops ipv6-v6only iread isatty
syn keyword tl_keyword contained isec isecp isig isqrt
syn keyword tl_keyword contained istrip iter-begin iter-item iter-more
syn keyword tl_keyword contained iter-reset iter-step iterable itimer-prof
syn keyword tl_keyword contained itimer-real itimer-virtual iuclc iutf8
syn keyword tl_keyword contained ixany ixoff ixon join
syn keyword tl_keyword contained join-with json juxt keep-if
syn keyword tl_keyword contained keep-if* keep-match-products keep-matches keepq
syn keyword tl_keyword contained keepql keepqual key key-t
syn keyword tl_keyword contained keyword-package keywordp kill labels
syn keyword tl_keyword contained lambda lambda-match last lazy-str
syn keyword tl_keyword contained lazy-str-force lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons
syn keyword tl_keyword contained lazy-stringp lchown lcm lcons
syn keyword tl_keyword contained lcons-car lcons-cdr lcons-fun lconsp
syn keyword tl_keyword contained ldiff ldo le-double le-float
syn keyword tl_keyword contained le-int16 le-int32 le-int64 le-uint16
syn keyword tl_keyword contained le-uint32 le-uint64 left len
syn keyword tl_keyword contained length length-buf length-carray length-list
syn keyword tl_keyword contained length-str length-str-< length-str-<= length-str->
syn keyword tl_keyword contained length-str->= length-vec lequal less
syn keyword tl_keyword contained let let* lexical-fun-p lexical-lisp1-binding
syn keyword tl_keyword contained lexical-var-p lib-version link lisp-parse
syn keyword tl_keyword contained list list* list-carray list-seq
syn keyword tl_keyword contained list-str list-vec list-vector listp
syn keyword tl_keyword contained lnew lnew* load load-for
syn keyword tl_keyword contained load-time loff-t log log-alert
syn keyword tl_keyword contained log-auth log-authpriv log-cons log-crit
syn keyword tl_keyword contained log-daemon log-debug log-emerg log-err
syn keyword tl_keyword contained log-info log-ndelay log-notice log-nowait
syn keyword tl_keyword contained log-odelay log-perror log-pid log-user
syn keyword tl_keyword contained log-warning log10 log2 logand
syn keyword tl_keyword contained logcount logior lognot logtest
syn keyword tl_keyword contained logtrunc logxor long long-suffix
syn keyword tl_keyword contained longlong lop lset lstat
syn keyword tl_keyword contained lutimes m$ m^ m^$
syn keyword tl_keyword contained mac-env-param-bind mac-param-bind macro-ancestor macro-form-p
syn keyword tl_keyword contained macro-time macroexpand macroexpand-1 macroexpand-1-lisp1
syn keyword tl_keyword contained macroexpand-lisp1 macrolet madv-dodump madv-dofork
syn keyword tl_keyword contained madv-dontdump madv-dontfork madv-dontneed madv-free
syn keyword tl_keyword contained madv-hugepage madv-hwpoison madv-keeponfork madv-mergeable
syn keyword tl_keyword contained madv-nohugepage madv-normal madv-random madv-remove
syn keyword tl_keyword contained madv-sequential madv-unmergeable madv-willneed madv-wipeonfork
syn keyword tl_keyword contained madvise major make-buf make-buf-stream
syn keyword tl_keyword contained make-byte-input-stream make-catenated-stream make-env make-hash
syn keyword tl_keyword contained make-lazy-cons make-lazy-struct make-like make-package
syn keyword tl_keyword contained make-random-state make-similar-hash make-similar-tree make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-delegate-stream make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie make-union
syn keyword tl_keyword contained make-zstruct makedev makunbound map-anon
syn keyword tl_keyword contained map-fixed map-growsdown map-huge-mask map-huge-shift
syn keyword tl_keyword contained map-hugetlb map-locked map-nonblock map-noreserve
syn keyword tl_keyword contained map-populate map-private map-shared map-stack
syn keyword tl_keyword contained mapcar mapcar* mapdo mapf
syn keyword tl_keyword contained maphash mappend mappend* maprend
syn keyword tl_keyword contained maprod maprodo mask match
syn keyword tl_keyword contained match-case match-ecase match-error match-fboundp
syn keyword tl_keyword contained match-fun match-regex match-regex-right match-regst
syn keyword tl_keyword contained match-regst-right match-str match-str-tree max
syn keyword tl_keyword contained mboundp md5 md5-begin md5-end
syn keyword tl_keyword contained md5-hash md5-stream member member-if
syn keyword tl_keyword contained memp memq memql memqual
syn keyword tl_keyword contained meq meql mequal merge
syn keyword tl_keyword contained merge-delete-package meth method min
syn keyword tl_keyword contained minor minusp mismatch mkdir
syn keyword tl_keyword contained mkdtemp mkfifo mknod mkstemp
syn keyword tl_keyword contained mkstring mlet mmakunbound mmap
syn keyword tl_keyword contained mod mode-t mprotect ms-async
syn keyword tl_keyword contained ms-invalidate ms-sync msync mul-each
syn keyword tl_keyword contained mul-each* mul-each-prod mul-each-prod* multi
syn keyword tl_keyword contained multi-sort munmap n-choose-k n-perm-k
syn keyword tl_keyword contained nand nandf nconc neg
syn keyword tl_keyword contained neq neql nequal new
syn keyword tl_keyword contained new* nexpand-left nil nilf
syn keyword tl_keyword contained ninth nl0 nl1 nldly
syn keyword tl_keyword contained nlink-t noflsh none nor
syn keyword tl_keyword contained norf not notf nreconc
syn keyword tl_keyword contained nreverse nrot nshuffle nsort
syn keyword tl_keyword contained nth nthcdr nthlast null
syn keyword tl_keyword contained nullify num-chr num-str numberp
syn keyword tl_keyword contained nzerop o-accmode o-append o-async
syn keyword tl_keyword contained o-cloexec o-creat o-direct o-directory
syn keyword tl_keyword contained o-noatime o-noctty o-nofollow o-nonblock
syn keyword tl_keyword contained o-path o-rdonly o-rdwr o-sync
syn keyword tl_keyword contained o-trunc o-wronly oand obtain
syn keyword tl_keyword contained obtain* obtain*-block obtain-block ocrnl
syn keyword tl_keyword contained oddp ofdel off-t offsetof
syn keyword tl_keyword contained ofill olcuc onlcr onlret
syn keyword tl_keyword contained onocr op open-command open-directory
syn keyword tl_keyword contained open-file open-fileno open-files open-files*
syn keyword tl_keyword contained open-pipe open-process open-socket open-socket-pair
syn keyword tl_keyword contained open-subprocess open-tail opendir openlog
syn keyword tl_keyword contained opip opost opt opthelp
syn keyword tl_keyword contained opthelp-conventions opthelp-types or orf
syn keyword tl_keyword contained pack package-alist package-fallback-list package-foreign-symbols
syn keyword tl_keyword contained package-local-symbols package-name package-symbols packagep
syn keyword tl_keyword contained pad page-size pairlis parenb
syn keyword tl_keyword contained parmrk parodd parse-errors partition
syn keyword tl_keyword contained partition* partition-by partition-if path-blkdev-p
syn keyword tl_keyword contained path-cat path-chrdev-p path-dir-empty path-dir-p
syn keyword tl_keyword contained path-equal path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-same-object path-search path-sep-chars path-setgid-p
syn keyword tl_keyword contained path-setuid-p path-sock-p path-sticky-p path-strictly-private-to-me-p
syn keyword tl_keyword contained path-symlink-p path-writable-to-me-p pdec pendin
syn keyword tl_keyword contained perm pic pid-t pinc
syn keyword tl_keyword contained pipe place-form-p placelet placelet*
syn keyword tl_keyword contained plist-to-alist plusp poll poll-err
syn keyword tl_keyword contained poll-in poll-nval poll-out poll-pri
syn keyword tl_keyword contained poll-rdband poll-rdhup poll-wrband poly
syn keyword tl_keyword contained pop pop-after-load portable-abs-path-p pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prod prof
syn keyword tl_keyword contained prog prog* prog1 prog2
syn keyword tl_keyword contained progn promisep prop proper-list-p
syn keyword tl_keyword contained proper-listp prot-exec prot-growsdown prot-growsup
syn keyword tl_keyword contained prot-none prot-read prot-write pset
syn keyword tl_keyword contained ptr ptr-in ptr-in-d ptr-out
syn keyword tl_keyword contained ptr-out-d ptr-out-s ptrdiff-t pub:txr-sym
syn keyword tl_keyword contained pure-rel-path-p purge-deferred-warning push push-after-load
syn keyword tl_keyword contained pushhash pushnew put-buf put-byte
syn keyword tl_keyword contained put-carray put-char put-json put-jsonl
syn keyword tl_keyword contained put-jsons put-line put-lines put-obj
syn keyword tl_keyword contained put-string put-strings pwd qquote
syn keyword tl_keyword contained qref quantile quip quote
syn keyword tl_keyword contained r$ r^ r^$ raise
syn keyword tl_keyword contained rand random random-buf random-fixnum
syn keyword tl_keyword contained random-float random-float-incl random-sample random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rassoc rassq rassql
syn keyword tl_keyword contained rcomb rcons read read-once
syn keyword tl_keyword contained read-until-match readdir readlink real-time-stream-p
syn keyword tl_keyword contained realpath record-adapter reduce-left reduce-right
syn keyword tl_keyword contained ref refset regex-compile regex-from-trie
syn keyword tl_keyword contained regex-optimize regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym reject rel-path relate
syn keyword tl_keyword contained release-deferred-warnings remhash remove-if remove-if*
syn keyword tl_keyword contained remove-path remove-path-rec remq remq*
syn keyword tl_keyword contained remql remql* remqual remqual*
syn keyword tl_keyword contained rename-path repeat replace replace-buf
syn keyword tl_keyword contained replace-env replace-list replace-str replace-struct
syn keyword tl_keyword contained replace-tree-iter replace-vec reset-struct rest
syn keyword tl_keyword contained ret retf return return*
syn keyword tl_keyword contained return-from revappend reverse rfind
syn keyword tl_keyword contained rfind-if right rlcp rlcp-tree
syn keyword tl_keyword contained rlet rlim-infinity rlim-saved-cur rlim-saved-max
syn keyword tl_keyword contained rlimit-as rlimit-core rlimit-cpu rlimit-data
syn keyword tl_keyword contained rlimit-fsize rlimit-nofile rlimit-stack rlist
syn keyword tl_keyword contained rlist* rmdir rmember rmember-if
syn keyword tl_keyword contained rmemq rmemql rmemqual rmismatch
syn keyword tl_keyword contained rot rotate round round-rem
syn keyword tl_keyword contained rperm rplaca rplacd rpoly
syn keyword tl_keyword contained rpos rpos-if rposq rposql
syn keyword tl_keyword contained rposqual rr rra rsearch
syn keyword tl_keyword contained rslot rtld-deepbind rtld-global rtld-lazy
syn keyword tl_keyword contained rtld-local rtld-nodelete rtld-noload rtld-now
syn keyword tl_keyword contained run s-ifblk s-ifchr s-ifdir
syn keyword tl_keyword contained s-ififo s-iflnk s-ifmt s-ifreg
syn keyword tl_keyword contained s-ifsock s-irgrp s-iroth s-irusr
syn keyword tl_keyword contained s-irwxg s-irwxo s-irwxu s-isgid
syn keyword tl_keyword contained s-isuid s-isvtx s-iwgrp s-iwoth
syn keyword tl_keyword contained s-iwusr s-ixgrp s-ixoth s-ixusr
syn keyword tl_keyword contained save-exe sbit scan-until-match search
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-cur seek-end seek-set
syn keyword tl_keyword contained seek-stream select self-load-path self-path
syn keyword tl_keyword contained separate seq-begin seq-next seq-reset
syn keyword tl_keyword contained seqp set set-diff set-hash-userdata
syn keyword tl_keyword contained set-indent set-indent-mode set-key set-left
syn keyword tl_keyword contained set-mask set-max-depth set-max-length set-package-fallback-list
syn keyword tl_keyword contained set-right set-sig-handler set-stack-limit setegid
syn keyword tl_keyword contained setenv seteuid setgid setgrent
syn keyword tl_keyword contained setgroups sethash setitimer setlogmask
syn keyword tl_keyword contained setpwent setresgid setresuid setrlimit
syn keyword tl_keyword contained setuid seventh sh sha256
syn keyword tl_keyword contained sha256-begin sha256-end sha256-hash sha256-stream
syn keyword tl_keyword contained shift short short-suffix shuffle
syn keyword tl_keyword contained shut-rd shut-rdwr shut-wr sig-abrt
syn keyword tl_keyword contained sig-alrm sig-atomic-t sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend signum
syn keyword tl_keyword contained sin sinh sixth size-t
syn keyword tl_keyword contained size-vec sizeof slet slot
syn keyword tl_keyword contained slotp slots slotset so-acceptconn
syn keyword tl_keyword contained so-broadcast so-debug so-dontroute so-error
syn keyword tl_keyword contained so-keepalive so-linger so-oobinline so-rcvbuf
syn keyword tl_keyword contained so-rcvlowat so-rcvtimeo so-reuseaddr so-sndbuf
syn keyword tl_keyword contained so-sndlowat so-sndtimeo so-type sock-accept
syn keyword tl_keyword contained sock-bind sock-cloexec sock-connect sock-dgram
syn keyword tl_keyword contained sock-family sock-listen sock-nonblock sock-opt
syn keyword tl_keyword contained sock-peer sock-recv-timeout sock-send-timeout sock-set-opt
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained socklen-t sol-socket some some-false
syn keyword tl_keyword contained some-true sort sort-group source-loc
syn keyword tl_keyword contained source-loc-str span-str special-operator-p special-var-p
syn keyword tl_keyword contained spl splice split split*
syn keyword tl_keyword contained split-str split-str-set spln sqrt
syn keyword tl_keyword contained square ssize-t sspl sssucc
syn keyword tl_keyword contained ssucc starts-with stat static-slot
syn keyword tl_keyword contained static-slot-ensure static-slot-home static-slot-p static-slot-set
syn keyword tl_keyword contained stdlib str str-buf str-d
syn keyword tl_keyword contained str-in6addr str-in6addr-net str-inaddr str-inaddr-net
syn keyword tl_keyword contained str-s str-seq str< str<=
syn keyword tl_keyword contained str= str> str>= stream-get-prop
syn keyword tl_keyword contained stream-set-prop streamp strerror string-extend
syn keyword tl_keyword contained string-finish string-get-code string-lt string-set-code
syn keyword tl_keyword contained stringp strsignal struct struct-from-args
syn keyword tl_keyword contained struct-from-plist struct-get-initfun struct-get-postinitfun struct-set-initfun
syn keyword tl_keyword contained struct-set-postinitfun struct-type struct-type-name struct-type-p
syn keyword tl_keyword contained structp sub sub-buf sub-list
syn keyword tl_keyword contained sub-str sub-tree sub-vec subq
syn keyword tl_keyword contained subql subqual subst subtypep
syn keyword tl_keyword contained succ sum sum-each sum-each*
syn keyword tl_keyword contained sum-each-prod sum-each-prod* super super-method
syn keyword tl_keyword contained suspend swap symacrolet symbol-function
syn keyword tl_keyword contained symbol-macro symbol-name symbol-package symbol-value
syn keyword tl_keyword contained symbolp symdiff symlink sys:%backpatch-high16%
syn keyword tl_keyword contained sys:%backpatch-low16% sys:%big-endian% sys:%bin-op% sys:%bin-ops%
syn keyword tl_keyword contained sys:%block-using-funs% sys:%call-op% sys:%const-foldable% sys:%const-foldable-funs%
syn keyword tl_keyword contained sys:%dbg-command-env% sys:%effect-free% sys:%effect-free-funs% sys:%eval-cache%
syn keyword tl_keyword contained sys:%functional% sys:%functional-funs% sys:%gcall-op% sys:%lev-bits%
syn keyword tl_keyword contained sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev% sys:%max-lev-idx%
syn keyword tl_keyword contained sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev% sys:%nary-ops%
syn keyword tl_keyword contained sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder% sys:%package-manip%
syn keyword tl_keyword contained sys:%param-info% sys:%quip-rand-state% sys:%quips% sys:%shuffled-quips%
syn keyword tl_keyword contained sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg%
syn keyword tl_keyword contained sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode%
syn keyword tl_keyword contained sys:%tlo-ver% sys:*dedup* sys:*emit* sys:*eval*
syn keyword tl_keyword contained sys:*in-compilation-unit* sys:*load-recursive* sys:*load-time* sys:*match-form*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*pl-form* sys:*top-level*
syn keyword tl_keyword contained sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls* sys:abscond*
syn keyword tl_keyword contained sys:abscond-from sys:add-neg-parens sys:analyze-argtypes sys:analyze-params
syn keyword tl_keyword contained sys:apply sys:arith-each sys:asm-error sys:assumed-fun
syn keyword tl_keyword contained sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+ sys:awk%--rng-
syn keyword tl_keyword contained sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check sys:awk-error
syn keyword tl_keyword contained sys:awk-expander sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-redir sys:awk-symac-let sys:awk-test
syn keyword tl_keyword contained sys:b* sys:b+ sys:b- sys:b/
syn keyword tl_keyword contained sys:b< sys:b<= sys:b= sys:b=>
syn keyword tl_keyword contained sys:b> sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error
syn keyword tl_keyword contained sys:bindable-check sys:bits sys:bits-to-obj sys:blk
syn keyword tl_keyword contained sys:build-expander sys:capture-cont sys:catch sys:check
syn keyword tl_keyword contained sys:check-end sys:check-slot sys:check-struct sys:check-sym
syn keyword tl_keyword contained sys:circref sys:comma-positions sys:compat sys:compile-and-match
syn keyword tl_keyword contained sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match
syn keyword tl_keyword contained sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match sys:compile-match
syn keyword tl_keyword contained sys:compile-new-var-match sys:compile-not-match sys:compile-or-match sys:compile-predicate-match
syn keyword tl_keyword contained sys:compile-range-match sys:compile-require-match sys:compile-scan-match sys:compile-struct-match
syn keyword tl_keyword contained sys:compile-var-match sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-expand-sym sys:conv-let
syn keyword tl_keyword contained sys:ctx-form sys:ctx-name sys:dbg-all sys:dbg-backtrace
syn keyword tl_keyword contained sys:dbg-clear sys:dbg-enable sys:dbg-restore sys:dbg-set
syn keyword tl_keyword contained sys:dbg-step sys:debugger sys:dedup sys:dedup-labels
syn keyword tl_keyword contained sys:deffi-cb-expander sys:define-method sys:defset-expander sys:defset-expander-simple
syn keyword tl_keyword contained sys:detached-run sys:dig sys:disassemble-cdf sys:dlib-expr
syn keyword tl_keyword contained sys:do-conv sys:do-copy-obj sys:do-path-test sys:do-tweak-obj
syn keyword tl_keyword contained sys:doc-syms sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-match-expander sys:each-op
syn keyword tl_keyword contained sys:early-peephole sys:enc-small-op sys:ensure-op-arg sys:env-to-let
syn keyword tl_keyword contained sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err
syn keyword tl_keyword contained sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-each-prod sys:expand-each-prod*
syn keyword tl_keyword contained sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens sys:expand-params
syn keyword tl_keyword contained sys:expand-pic sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas
syn keyword tl_keyword contained sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods
syn keyword tl_keyword contained sys:expand-sym-ref sys:expr sys:fbind sys:find-parent
syn keyword tl_keyword contained sys:fixed-point sys:flatten-or sys:fmt-flex sys:fmt-join
syn keyword tl_keyword contained sys:fmt-simple sys:for-op sys:gc sys:gc-set-delta
syn keyword tl_keyword contained sys:get-buf-common sys:get-fun-getter-setter sys:get-mb sys:get-param-info
syn keyword tl_keyword contained sys:get-place-macro sys:get-var-list sys:get-vars sys:get-vb
syn keyword tl_keyword contained sys:getopts-error sys:handle-bad-syntax sys:hlet-expand sys:if-to-cond
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:insert-commas sys:is-label sys:l1-setq
syn keyword tl_keyword contained sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list
syn keyword tl_keyword contained sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind sys:lisp1-setq
syn keyword tl_keyword contained sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit
syn keyword tl_keyword contained sys:loc sys:loosen sys:mac-env-flatten sys:make-anon-package
syn keyword tl_keyword contained sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type
syn keyword tl_keyword contained sys:mark-special sys:match-pat-error sys:misleading-ref-check sys:name-str
syn keyword tl_keyword contained sys:new-expander sys:new-type sys:non-triv-pat-p sys:null-reg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec sys:op-expand
syn keyword tl_keyword contained sys:op-meta-p sys:op-rec-p sys:open-compile-streams sys:open-url
syn keyword tl_keyword contained sys:operand-to-exp sys:operand-to-sym sys:opip-expand sys:opt-dash
syn keyword tl_keyword contained sys:opt-err sys:orig-form sys:os-symbol sys:param-check
syn keyword tl_keyword contained sys:parse-compound-operand sys:parse-lambda-match-clause sys:parse-operand sys:pat-len
syn keyword tl_keyword contained sys:path-access sys:path-examine sys:path-simplify sys:path-split
syn keyword tl_keyword contained sys:path-test-mode sys:path-test-type sys:path-volume sys:pic-join-opt
syn keyword tl_keyword contained sys:pl-expand sys:placelet-1 sys:print-backtrace sys:propagate-ancestor
syn keyword tl_keyword contained sys:propagate-perms sys:prune-missing-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reduce-constant sys:reduce-lisp
syn keyword tl_keyword contained sys:reduce-or sys:reg-expand-nongreedy sys:register-opcode sys:register-simple-accessor
syn keyword tl_keyword contained sys:repl sys:rewrite sys:rewrite-case sys:rplaca
syn keyword tl_keyword contained sys:rplacd sys:rslotset sys:rt-assert-fail sys:rt-defmacro
syn keyword tl_keyword contained sys:rt-defsymacro sys:rt-defun sys:rt-defv sys:rt-defvarl
syn keyword tl_keyword contained sys:rt-load-for sys:rt-pprof sys:safe-const-eval sys:safe-const-reduce
syn keyword tl_keyword contained sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor sys:setq
syn keyword tl_keyword contained sys:setqf sys:simplify-or sys:slot-types sys:small-op-p
syn keyword tl_keyword contained sys:small-op-to-sym sys:splice sys:static-slot-types sys:str-inaddr-net-impl
syn keyword tl_keyword contained sys:struct-lit sys:stuff-key-params sys:subst-preserve sys:switch
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p
syn keyword tl_keyword contained sys:top-fb sys:top-mb sys:top-vb sys:tr*
syn keyword tl_keyword contained sys:trace sys:trace-canonicalize-name sys:trace-enter sys:trace-leave
syn keyword tl_keyword contained sys:trace-redefine-check sys:transform-qquote sys:tree-construct sys:trfm
syn keyword tl_keyword contained sys:true-const-p sys:txr-case-impl sys:typecase-expander sys:unquote
syn keyword tl_keyword contained sys:untrace sys:upenv sys:uw-block sys:uw-captured-block
syn keyword tl_keyword contained sys:uw-catch sys:uw-cont-copy sys:uw-eval sys:uw-expand
syn keyword tl_keyword contained sys:uw-fcall sys:uw-guard sys:uw-handle sys:uw-menv
syn keyword tl_keyword contained sys:var sys:var-pat-p sys:vars-check sys:vm-closure-desc
syn keyword tl_keyword contained sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels
syn keyword tl_keyword contained sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc
syn keyword tl_keyword contained sys:wdwrap sys:when-exprs-match sys:with-disabled-debugging sys:with-dyn-lib-check
syn keyword tl_keyword contained syslog system-package t tab0
syn keyword tl_keyword contained tab1 tab2 tab3 tabdly
syn keyword tl_keyword contained tagbody tailp take take-until
syn keyword tl_keyword contained take-while tan tanh tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcp-nodelay tcsadrain tcsaflush tcsanow
syn keyword tl_keyword contained tcsendbreak tcsetattr tentative-def-exists tenth
syn keyword tl_keyword contained test-clear test-clear-dirty test-dec test-dirty
syn keyword tl_keyword contained test-inc test-neq-set-indent-mode test-set test-set-indent-mode
syn keyword tl_keyword contained tf third throw throwf
syn keyword tl_keyword contained time time-fields-local time-fields-utc time-nsec
syn keyword tl_keyword contained time-parse time-parse-local time-parse-utc time-string-local
syn keyword tl_keyword contained time-string-utc time-struct-local time-struct-utc time-t
syn keyword tl_keyword contained time-usec tmpfile tnode tnodep
syn keyword tl_keyword contained to tofloat tofloatz toint
syn keyword tl_keyword contained tointz tojson tok tok-str
syn keyword tl_keyword contained tok-where tokn tostop tostring
syn keyword tl_keyword contained tostringp touch tprint trace
syn keyword tl_keyword contained transpose tree tree-begin tree-bind
syn keyword tl_keyword contained tree-case tree-clear tree-count tree-del-min
syn keyword tl_keyword contained tree-del-min-node tree-delete tree-delete-node tree-delete-specific-node
syn keyword tl_keyword contained tree-find tree-insert tree-insert-node tree-lookup
syn keyword tl_keyword contained tree-lookup-node tree-min tree-min-node tree-next
syn keyword tl_keyword contained tree-peek tree-reset tree-root treep
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-left trim-long-suffix trim-path-seps
syn keyword tl_keyword contained trim-right trim-short-suffix trim-str true
syn keyword tl_keyword contained trunc trunc-rem truncate-stream tuples
syn keyword tl_keyword contained tuples* txr-case txr-exe-path txr-if
syn keyword tl_keyword contained txr-parse txr-path txr-version txr-when
syn keyword tl_keyword contained typecase typedef typeof typep
syn keyword tl_keyword contained ubit uchar uid-t uint
syn keyword tl_keyword contained uint-buf uint-carray uint-ptr-t uint16
syn keyword tl_keyword contained uint32 uint64 uint8 uintmax-t
syn keyword tl_keyword contained ulong ulonglong umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uni unintern union union-get
syn keyword tl_keyword contained union-in union-members union-out union-put
syn keyword tl_keyword contained uniq unique unless unquote
syn keyword tl_keyword contained unsetenv until until* untrace
syn keyword tl_keyword contained unuse-package unuse-sym unwind-protect upcase-str
syn keyword tl_keyword contained upd update uref url-decode
syn keyword tl_keyword contained url-encode use use-package use-sym
syn keyword tl_keyword contained user-package ushort usl usleep
syn keyword tl_keyword contained uslot utimes val vdiscard
syn keyword tl_keyword contained vec vec-carray vec-list vec-push
syn keyword tl_keyword contained vec-seq vec-set-length vecref vector
syn keyword tl_keyword contained vector-list vectorp veof veol
syn keyword tl_keyword contained veol2 verase vintr vkill
syn keyword tl_keyword contained vlnext vm-fun-p vmin void
syn keyword tl_keyword contained vquit vreprint vstart vstop
syn keyword tl_keyword contained vsusp vswtc vt0 vt1
syn keyword tl_keyword contained vtdly vtime vwerase w-continued
syn keyword tl_keyword contained w-coredump w-exitstatus w-ifcontinued w-ifexited
syn keyword tl_keyword contained w-ifsignaled w-ifstopped w-nohang w-stopsig
syn keyword tl_keyword contained w-termsig w-untraced wait wchar
syn keyword tl_keyword contained weave when when-match whena
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained while-match while-match-case while-true-match-case whilet
syn keyword tl_keyword contained width width-check window-map window-mapdo
syn keyword tl_keyword contained window-mappend wint-t with-clobber-expander with-compilation-unit
syn keyword tl_keyword contained with-delete-expander with-dyn-lib with-gensyms with-hash-iter
syn keyword tl_keyword contained with-in-buf-stream with-in-string-byte-stream with-in-string-stream with-objects
syn keyword tl_keyword contained with-out-buf-stream with-out-string-stream with-out-strlist-stream with-resources
syn keyword tl_keyword contained with-slots with-stream with-update-expander wrap
syn keyword tl_keyword contained wrap* wstr wstr-d wstr-s
syn keyword tl_keyword contained xcase yield yield-from zap
syn keyword tl_keyword contained zarray zchar zero-fill zerop
syn keyword tl_keyword contained zip znew

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output rebind rep
syn keyword txr_keyword contained repeat require set single
syn keyword txr_keyword contained skip some text throw
syn keyword txr_keyword contained trailer try until var
syn match txr_error "\(@[ \t]*\)[*]\?[\t ]*."
syn match txr_atat "\(@[ \t]*\)@"
syn match txr_comment "\(@[ \t]*\)[#;].*"
syn match txr_contin "\(@[ \t]*\)\\$"
syn match txr_char "\(@[ \t]*\)\\."
syn match txr_error "\(@[ \t]*\)\\[xo]"
syn match txr_char "\(@[ \t]*\)\\x[0-9A-Fa-f]\+;\?"
syn match txr_char "\(@[ \t]*\)\\[0-7]\+;\?"
syn match txr_regdir "\(@[ \t]*\)/\(\\/\|[^/]\|\\\n\)*/"
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSRTN]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*" contained
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum contained
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+" contained
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match tl_ident ":" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region tl_bracevar contained matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive matchgroup=Delimiter start="@[ \t]*(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_num,txr_pnum,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mlist contained matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,tl_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex contained start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf contained matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_tok contained matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_ign_par contained matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt contained matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt contained matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom contained matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray contained matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash contained matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment
hi def link txr_ign_tok Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,enum,enumed,equot,etypecase,eval-only,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:with-disabled-debugging,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:@\;\;\;,:@\;\;,:@\;
